io_uring_buf_ring_advance(3)

NAME
io_uring_buf_ring_advance - advance index of provided buffer in buffer ring

SYNOPSIS
#include <liburing.h>

void io_uring_buf_ring_advance(struct io_uring_buf_ring *br,
                               int count);

DESCRIPTION

The io_uring_buf_ring_advance(3) commits count previously added buffers to the shared buffer ring br, making them visible to the kernel and hence consumable. This passes ownership of the buffer to the ring.

RETURN VALUE
None

SEE ALSO
io_uring_register_buf_ring(3), io_uring_buf_ring_add(3), io_uring_buf_ring_cq_advance(3)